package com.agilex.healthcare.schedulingmanager.notification.appointmentrequest;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.messaging.core.Message;

import java.io.Serializable;
import java.util.UUID;

/**
 * Created with IntelliJ IDEA.
 * User: clarkee
 * Date: 2/19/13
 * Time: 3:51 PM
 * To change this template use File | Settings | File Templates.
 */
@SuppressWarnings("serial")
public class AppointmentRequestMessageCreatedMessage implements Message, Serializable{
    private String messageId;
    private PatientIdentifier patientIdentifier;
    private String detailCode;

    public AppointmentRequestMessageCreatedMessage(PatientIdentifier patientIdentifier, String detailCode) {
        this.messageId = UUID.randomUUID().toString();
        this.patientIdentifier = patientIdentifier;
        this.detailCode = detailCode;
    }

    public PatientIdentifier getPatientIdentifier() {
        return patientIdentifier;
    }

    @Override
    public String id() {
        return messageId;
    }

    public String getDetailCode() {
        return detailCode;
    }
}
